<?php 
    //Configura o timezone a ser utilizado
    date_default_timezone_set('America/Sao_Paulo');

    $hora1      = strtotime('06:00');
    $hora2      = strtotime('23:30');
    $horaAtual = strtotime(date('H:i'));
    
    
    
    switch ($horaAtual)
    {
        case ($horaAtual > $hora1 && $horaAtual < $hora2) : $retorno = "ON"; break; 
        default :  $retorno = "ON";
    }
    
    print $retorno;
?>